function sum1 = Z(lambda, nu)
% approximates normalizing constant for COMP distributions
% lambda can be a scalar or vector

summax = 100; 
termlim = 1e-6;

% zero vector length of same length as lambda
sum1 = lambda*0 ; 
for js = 1:summax
    term = exp(log(lambda.^(js-1)) - nu*gammaln(js));
    if(js > 3)
        if(max(term./sum1) < termlim)
            break
        end
    end
    sum1 = sum1 + term;
end