function comp_mu_pit(yvalues, lambdas, nu)
% plots probability inverse transformation (randomized version)
% for vector of yvalues and asspcioated vector of lambda

n = length(yvalues) ;
pi = zeros(n,1) ;

% set seed for reproducibility
rng(1) ;

for i = 1:n
    pyminus1 = comp_mu_cdf2(yvalues(i)-1, lambdas(i), nu) ;
    py = comp_mu_cdf2(yvalues(i), lambdas(i), nu) ;
    pi(i) = unifrnd(pyminus1, py) ;
end;
uniform_quantiles = (1:n)/n ;
plot(sort(pi), uniform_quantiles, 'b+', uniform_quantiles, uniform_quantiles, 'r-.') ;
xlabel('Probability Inverse Transformation') ;
ylabel('Uniform Quantiles') ;
axis([0 1 0 1]) ;
end 