function pmf = comp_mu_pmf(yvalues, mu, nu)
% evaluate pmf of COMP distribution with mean mu, dispersion nu,
% at a vector of yvalues

% solve for rate, given mu and nu
lambda = comp_lambda(mu, nu) ;

% evaluate pmf at yvalues
pmf = (lambda.^yvalues) ./ (factorial(yvalues).^nu) ./ Z(lambda, nu) ;

end 